Bug 1261514 - Save As Model and Rename Model actions allow duplicities
Save As Model and Rename Model actions allow duplicities
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Barry LaFond
Matus Makovy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 09:57 EDT by skaleta
Modified: 2015-11-17 13:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 13:07:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2642 Optional Closed Save As Model and Rename Model actions allow duplicities 2015-11-18 01:58 EST

  None (edit)
Description skaleta 2015-09-09 09:57:07 EDT
Description:
I assume that it is not correct to have two models with same name in the project (e.g. designer doesn't let you to create new model (or copy) with name which is already used within the project), but it is possible to achieve it using Save As/Rename (see steps to reproduce).

Additionally, it is possible to add these different models with same name to Teiid VDB, which causes exceptions on deployment.

Steps to Reproduce:
1. double-click model
2. File -> Save as...
3. keep same name of model and for location choose different folder in same project
4. click OK
5. two models with same name will be present in the project

1. right-click the model and select Refactor > Rename...
2. set name equal to name of existing model located in different folder of project
3. two models with same name will be present in the project
Comment 1 JBoss JIRA Server 2015-09-11 10:13:26 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2642 to Resolved
Comment 2 JBoss JIRA Server 2015-10-01 09:07:21 EDT
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2642 to Closed

Note You need to log in before you can comment on or make changes to this bug.